<?php
/**
 * Like Button - Joomla Editor System
 *
 * @version 0.0.1
 * @package Like Button
 * @author djphil
 * @copyright (C) 2015 Digital Concepts
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die;
jimport('joomla.plugin.plugin');

/**
 * Provides button to insert {like} into content edit box
 */
class plgButtonLikebutton extends JPlugin
{
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage('plg_editors-xtd_likebutton', JPATH_ADMINISTRATOR);
	}

	function onDisplay($name)
	{
		$getContent = $this->_subject->getContent($name);
		$js = "
				function insertLikebutton(editor) {
					var content = $getContent
					if (content.match(/{like}/)) {
						return false;
					} else {
						jInsertEditorText('{like}', editor);
					}
				}
				";

		$document = JFactory::getDocument();
		$document->addScriptDeclaration($js);

		$button = new JObject();
		$button->set('class', 'btn');
		$button->set('modal', false);
		$button->set('onclick', 'insertLikebutton(\'' . $name . '\');return false;');
		$button->set('text', JText::_('PLG_EDITORS-XTD_LIKEBUTTON_BUTTON_LIKEBUTTON'));
		$button->set('name', 'thumbs-up');
		$button->set('link', '#');

		return $button;
	}
}